%global srcname jinja2_pluralize
Name:           python-%{srcname}
Version:        0.3.0
Release:        5%{?dist}
Summary:        Jinja2 pluralize filters

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://pypi.python.org/packages/source/j/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
Simple pluralize filter for jinja2 based on inflect.py

%package -n python2-%{srcname}
Summary:        Jinja2 pluralize filters
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

# Required for check
BuildRequires:  python-jinja2
BuildRequires:  python-inflect

Requires:       python-inflect

%description -n python2-%{srcname}
Simple pluralize filter for jinja2 based on inflect.py

%package -n python3-%{srcname}
Summary:        Jinja2 pluralize filters
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

# Required for check
BuildRequires:  python3-jinja2
BuildRequires:  python3-inflect

Requires:       python3-inflect

%description -n python3-%{srcname}
Simple pluralize filter for jinja2 based on inflect.py

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%{python2_sitelib}/jinja2_pluralize
%{python2_sitelib}/jinja2_pluralize-%{version}-*.egg-info

%files -n python3-%{srcname}
%license LICENSE
%doc AUTHORS.rst CONTRIBUTING.rst HISTORY.rst README.rst
%{python3_sitelib}/jinja2_pluralize
%{python3_sitelib}/jinja2_pluralize-%{version}-*.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Nov 13 2015 David Shea <dshea@redhat.com> - 0.3.0-3
- Rebuild against actual python 3.5 dependencies

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Oct  9 2015 David Shea <dshea@redhat.com> - 0.3.0-1
- Fix the version number

* Fri Oct  9 2015 David Shea <dshea@redhat.com> - 0.3-1
- Update to jinja2_pluralize-0.3, which is all documentation changes
- Switch to new packaging guidelines which renames python-jinja2_pluralize to python2-jinja2_pluralize

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 David Shea <dshea@redhat.com> - 0.2.1-3
- Switch to a python3 build directory under the main build directory
- Actually run the tests

* Wed Jan 28 2015 David Shea <dshea@redhat.com> - 0.2.1-2
- Use %%license for the license file

* Mon Jul 21 2014 David Shea <dshea@redhat.com> - 0.2.1-1
- Update to upstream jinja2_pluralize, which integrates the shebang removal patch
- Fix the requires for the python2 vs. python3 packages
- Separate the buildrequires by package section

* Tue Jul  8 2014 David Shea <dshea@redhat.com> - 0.2.0-1
- Initial package
